@import "variables";
@import "2020base";


////////////////////////////////
///////////* HEADER *////////////
////////////////////////////////


.headline-container:before {
  content: "";
  background-color: #F8F8F8;
  height: 450px;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 0;
}

h1, h2 {
  position: relative;
  z-index: 1;
}

h1 {
  margin-top: 140px;
}

h1:before {
  background: url(/images/sales/particles-sales.svg) no-repeat 100% 0;
  content: "";
  height: 146px;
  left: -59px;
  position: absolute;
  top: -70px;
  width: 108px;
}

.left-side {
  width: calc(50% - 60px);
  margin-right: 60px;
  float: left;
  // margin-top: 140px;
}

////////////////////////////////
///////////* FORM *////////////
////////////////////////////////

.right-side {
  width: calc(50% - 60px);
  float: right;
  margin-left: 60px;
  margin-top: 140px;
}

@media (max-width: $screen-sm-min) {
  .left-side,
  .right-side {
    width: 100%;
    margin-top: 60px;
    text-align: center;
  }

  .headline-container {
    margin-right: 0;
  }
}

.form-container {
  z-index: 1;
  position: relative;
  padding: 32px;
  background: #FFFFFF;
  border: 1px solid rgba(0, 0, 0, 0.08);
  border-radius: 4px;
}

.form {
  text-align: left;
}

#mktoForm_1415 {

  .mktoFieldDescriptor .mktoFieldWrap input.mktoInvalid {
    border: 1px solid #F24F63;
  }

  .mktoFormRow {
    margin-bottom: 16px;
  }

  .mktoFieldWrap input:not([type="checkbox"]),
  .mktoFieldWrap select {
    width: 100%;
    border: 1px solid #333333;
    border-radius: 4px;
    padding: 12px 16px;
  }

  #mktoCheckbox_34251_0 {
    float: left;
    margin: 7px 4px 0 0;
  }

  #LblmktoCheckbox_34251_0 {
    width: calc(100% - 18px);
    text-align: left;
    margin-bottom: 16px;
  }

  .mktoFieldWrap label {
    float: left;
    margin-bottom: 4px;
  }

  .mktoAsterix {
    display: none;
  }

  .mktoFieldDescriptor #LblcommentCapture,
  .mktoFieldDescriptor #commentCapture {
    width: 100%;
  }

  .mktoButtonWrap button {
    width: 100%;
    background-color: #fa7035;
    color: #ffffff;
    box-shadow: 0px 4px 4px #00000040;
    display: inline-block;
    padding: 4px 30px;
    font-size: 16px;
    line-height: 40px;
    min-width: 140px;
    min-height: 52px;
    border: 0;
    border-radius: 4px;
    margin-bottom: 20px;
  }

  a:not(.btn):not(.slp-btn), 
  a:not(.btn):not(.slp-btn):active, 
  a:not(.btn):not(.slp-btn):hover, 
  a:not(.btn):not(.slp-btn):focus {
    color: #7D2BD9;
  }
}

////////////////////////////////
///////////* FAQ *////////////
////////////////////////////////

#faq {
  margin-bottom: 4em;
}

#faq h2 {
  display: inline-block;
  margin-bottom: 32px;
  position: relative;

  @media (max-width: $screen-sm-min) {
    font-size: 36px;
  }
}

#faq details {
  background: $color-white;
  border-color: $color-gray;
  border-style: solid;
  border-width: 0px 1px 1px 1px;
  color: $color-black333;
  list-style-type: none;
  overflow: hidden;
  width: 100%;

  a {
    color: #7D2BD9;
    text-decoration: none;
  }
}

#faq details:first-of-type {
  border-radius: $border-radius-large $border-radius-large 0px 0px;
  border-top-width: 1px;
}

#faq details:last-of-type {
  border-radius: 0px 0px $border-radius-large $border-radius-large;
}

#faq details[open] {
  background: $color-gray-super-light;
}

#faq summary {
  @include slp-font-size-2xl;
  background: $color-white;
  cursor: pointer;
  list-style-type: none;
  padding: 1.6rem 4rem 1.6rem 2.4rem;
  position: relative;
}

#faq summary::-webkit-details-marker {
  display: none;
}

#faq details .icon {
  font-size: 0;
  display: flex;
  justify-content: space-between;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
}

#faq details .icon svg {
  display: inline-block;
  vertical-align: middle;
}

#faq details .icon.collapse {
  display: none;
}

#faq details[open] .icon.collapse {
  display: inline-block;
}

#faq details[open] .icon.expand {
  display: none;
}

.faq-item {
  padding: .4rem 4rem 0rem 2.4rem;

  @media (max-width: $screen-sm-min) {
    padding: .4rem 2.4rem 0rem 2.4rem;
  }
}

.faq-item .question {
  @include slp-font-size-xl;
  margin-bottom: 8px;
  /* Fix a scrolling bug from a direct link to an ID like http://localhost:4567/pricing/faq/#why-do-i-need-to-enter-credit-debit-card-details-for-free-pipeline-minutes */
  margin-top: -70px;
  padding-top: 70px;
}

.faq-item:first-of-type {
  padding-top: 3rem;
}

.faq-item:last-of-type {
  padding-bottom: .8rem;
}


// ////////////////////////////////
// ///////////* CASE STUDIES *////////////
// ////////////////////////////////


.carousel-wrapper {
  margin-top: 150px;
  position: relative;
}

.customer {
  display: none;
  top:0;
  width: 100%;
  margin: auto;
  padding: 35px 40px;
  z-index: 100;
  text-align: left;

  img {
    width: 160px;
    height: 65px;
    object-fit: contain;
  }

  .us-army-logo {
    width: unset;
  }

  .quote {
    font-size: 24px;
    font-style: italic;
    position: relative;
    margin-top: 80px;
    line-height: 38px;


    &:before {
      background: url(/images/sales/quotes-purple.svg) no-repeat 100% 0;
      content: "";
      height: 32px;
      left: 0;
      position: absolute;
      top: -30px;
      width: 25px;
    }
  }

  .attribution {
    font-size: 16px;
    margin: 16px 0 24px;
  }

  .customer-link {
    font-size: 14px;
    font-weight: 600;
  }
}

.slp-blockquote-container-upper {
  background: #fff;
  background-clip: padding-box;
  border-radius: 8px;

  &:before {
    content: "";
    position: absolute;
    top: -1px;
    right: -1px;
    bottom: -1px;
    left: -1px;
    z-index: 8;
    border-radius: 5px;
    background: linear-gradient(to right, #A454CF, #F16B38);
  }

  .customer {
    border-left: 0;
    position: relative;
    z-index: 9;
    background: #fff;
    border-radius: 4px;
  }
}

.slp-blockquote-container-lower {
  background: linear-gradient(to right, #2F80ED, #52CDB7);
  background-clip: padding-box;
  border-radius: 6px;
  width: 100%;
  height: 100%;
  position: absolute;
  transform: translate(-12px, 12px);


  &:after {
    content: "";
    position: absolute;
    top: 1px;
    left: 1px;
    border-radius: 5px;
    background: #fff;
    display: block;
    height: calc(100% - 2px);
    width: calc(100% - 2px);
  }
}

.carousel-button-next {
  position: absolute;
  right: -20px;
  top: 67px;
  width: 40px;
  height: 40px;
  background-color: #FFF;
  transform: translateY(-50%);
  border-radius: 50%;
  cursor: pointer; 
  z-index: 10;
  border: 1px solid #7D2BD9;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.carousel-button-next::after {
  content: " ";
  position: absolute;
  width: 10px;
  height: 10px;
  top: 50%;
  border-right: 2px solid #7D2BD9;
  border-bottom: 2px solid #7D2BD9;
  left: 47%;
  transform: translate(-50%, -50%) rotate(-45deg);
}



@media (max-width: 640px) {
  .carousel-button-next {
    right: -12px;
  }

  .carousel-wrapper {
    margin-top: 0;
    margin: 0 10px 48px 10px;
  }

  .form-container {
    border: 0;
  }

  h1 {
    margin-top: 0;

    &:before {
      background: url(/images/sales/particles-sales-2.svg) no-repeat 100% 0;
      left: -40px;
      top: -40px;
    }
  }

  .headline-container:before {
    height: 450px;
  }

}
